## console-common 0.7.14

=== Makefile ===
DESTDIR		=
prefix		= /usr

version		= $(shell dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
lcddep		= console-common (>= ${version})

sysconfdir	= /etc/console
bindir		= ${prefix}/bin
sbindir		= ${prefix}/sbin
datadir		= ${prefix}/share
dhdatadir	= ${datadir}/debhelper/dh-consoledata
autoscriptdir	= ${datadir}/debhelper/autoscripts
docdir		= ${prefix}/share/doc/dh-consoledata
mandir		= ${prefix}/share/man
man1dir		= ${mandir}/man1
man8dir		= ${mandir}/man8

consoledatadir	= ${datadir}/console
kmapdatadir	= ${consoledatadir}/lists/keymaps

DHSCRIPT	= dh_consoledata
GETKMAPCONF	= getkmapchoice.pl

DHAUTOSCRIPTS	= postinst-lcd-keymaps

BINSCRIPTS	= ${DHSCRIPT}
SBINSCRIPTS	= install-keymap
LIBSCRIPTS	= ${GETKMAPCONF} ps2-to-riscpc
MANPAGES1	= ${BINSCRIPTS:=.1}
MANPAGES8	= ${SBINSCRIPTS:=.8}
MANPAGES	= ${MANPAGES1} ${MANPAGES8}

DHDATA		= common.pl config.in

# debiandoc2* attempts to do something nasty with locale set
export LC_ALL=C

all: ${BINSCRIPTS} ${SBINSCRIPTS} ${LIBSCRIPTS} ${DHDATA} ${MANPAGES}

${DHSCRIPT}: ${DHSCRIPT}.in
	sed <$< >$@ \
		-e "s^@DHDIR@^${dhdatadir}^" \
		-e "s^@KMAPDIR@^${kmapdatadir}^" \
		-e "s^@LCDDEP@^${lcddep}^"
	chmod +x $@

${GETKMAPCONF}: ${GETKMAPCONF}.in common.pl
	sed <$< >$@ \
		-e '/^#####COMMON#####$$/ r common.pl'

clean:
	rm -rf ${DHSCRIPT} ${GETKMAPCONF} ${MANPAGES}

install: all
	install -m755 -d ${DESTDIR}${dhdatadir} \
		${DESTDIR}${consoledatadir} \
		${DESTDIR}${bindir} ${DESTDIR}${sbindir}
	install -m755 ${BINSCRIPTS} ${DESTDIR}${bindir}
	install -m755 ${SBINSCRIPTS} ${DESTDIR}${sbindir}
	install -m755 ${LIBSCRIPTS} ${DESTDIR}${consoledatadir}
	install -m644 ${DHDATA} ${DESTDIR}${dhdatadir}
	cp -a templates ${DESTDIR}${dhdatadir}

	install -m755 -d ${DESTDIR}${sysconfdir} ${DESTDIR}${kmapdatadir}

	install -m755 -d ${DESTDIR}${autoscriptdir}
	install -m644 ${DHAUTOSCRIPTS} ${DESTDIR}${autoscriptdir}

	install -m755 -d ${DESTDIR}${man1dir} ${DESTDIR}${man8dir}
	install -m644 ${MANPAGES1} ${DESTDIR}${man1dir}
	install -m644 ${MANPAGES8} ${DESTDIR}${man8dir}

uninstall:
	rm -f ${DESTDIR}${bindir}/${DHSCRIPT}
	rm -rf ${DESTDIR}${dhdatadir} ${DESTDIR}${docdir}

${MANPAGES8} : %.8 : %.sgml
	docbook-to-man $< >$@

%.1: %
	pod2man $< >$@

=== debian/changelog ===
console-common (0.7.14) unstable; urgency=high

  * debian/control: since we are using debconf in console-common's
    preinst (yuck), add a Pre-Depends on debconf in accordance with
    Policy 7.2.  Closes: #143837

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 22 Apr 2002 23:17:21 +0200

console-common (0.7.13) unstable; urgency=medium

  * This release is needed for woody since it fixes two
    serious bugs for upgrades and new installations.
  * Don't fail in postinst if a console cannot be opened
    (this can happen without vga card, on ssh/serial console).
    Closes: #60565, #112202, #129242, #129643
  * Don't fail when console-data/keymap/full has a bogus value.
    This is a workaround.  I'm still not sure under which circumstances
    this occures.  However, the workaround should fix the problem
    in all situations.  Closes: #110873, #130008
  * Don't show dpkg warning when console-tools or kbd are not
    installed.  Closes: #131767

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 02 Feb 2002 17:15:01 +0100

console-common (0.7.12) unstable; urgency=high

  * This release is needed for woody since it fixes a bug in the
    configuration of console-common and console-data (which breaks
    base installs) on all ARM RiscPCs.
  * common.pl: the grep testing for RiscPC displayed output which
    breaks debconf.  Since ARM/RiscPC and ARM has the same keymaps
    (since the last release) there is no need to test for this at all.
    The keymaps are converted on the fly on RiscPC by install-keymap
    anyway.  Thanks to Phil Blundell for giving me access to a ARM/RiscPC
    system so I could find the problem. (Closes: #126633).
  * common.pl: Define a variable so perl doesn't print ugly warning
    uring installation (Closes: #127552).
  * config.in: Update maintainer address (Closes: #127552).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 03 Jan 2002 17:00:31 +0100

console-common (0.7.11) unstable; urgency=high

  * This release is needed for woody since it fixes a bug in the
    configuration of console-common and console-data (which breaks
    base installs) on all ARM RiscPCs.
  * common.pl: there are no "riscpc" keymaps so don't even try to use
    them.  Only use "pc" keymaps on RiscPCs since they are converted
    before loading anyway.  This should fix #126633.
  * debian/control: add myself to Uploaders.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 01 Jan 2002 14:57:34 +0100

console-common (0.7.10) unstable; urgency=medium

  * Use `tempfile --suffix .gz` instead of `tempfile`.gz in
    install-keymap (Closes: #114609).
  * Incorporate ru_RU translation into templates.

 -- Wartan Hachaturow <wart@softhome.net>  Sun,  7 Oct 2001 01:42:56 +0400

console-common (0.7.9) unstable; urgency=medium

  * NMU
  * Use = instead of == for comparison so it does not break if /bin/sh
    is /bin/ash (Closes: #111577).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 07 Sep 2001 18:30:31 +0200

console-common (0.7.8) unstable; urgency=medium

  * NMU
  * s/Standard/Programmer/ in the debconf database for the German
    entry.  This is necessary because I renamed it (see console-data
    changelog) and some still have 'Standard' in their database which
    breaks getkmapchoice.pl.  Thanks to Gergely Nagy for helping me
    debug this (Closes: #111255).

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 05 Sep 2001 23:51:13 +0200

console-common (0.7.7) unstable; urgency=medium

  * NMU
  * Don't loop indefinitely on upgrades with ADB keycodes (Closes: #109666).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 23 Aug 2001 10:12:03 +0200

console-common (0.7.6) unstable; urgency=medium

  * The Edward-and-Colin-are-at-HAL-and-I-am-not NMU
  * Check if the layout template exists in debconf before calling a
    script which fails if it doesn't.  This allows console-common to
    upgrade if console-data was removed.  This is the real fix; the last
    upload only introduced a workaround which would only work for the
    future but not for current installations anyway (Closes: #96772, #97354,
    #108400).
  * Improved PowerPC ADB debconf template based on comments by Michel Dnzer.
  * Accept tab at the right spot for Acorn RiscPCs.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 12 Aug 2001 16:45:21 +0200

console-common (0.7.5) unstable; urgency=medium

  * NMU
  * Don't overwrite 'full list' choice if question is not asked (Closes:
    #108357).
  * Don't abort if no layout is found in the debconf database although
    a family is defined.  This happens when you upgrade console-common
    after removing console-data.  The full discussion can be found in
    #108400.  Instead of aborting, getkmapchoice.pl now returns NONE
    (i.e. no keymap will be loaded).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 11 Aug 2001 14:51:02 +0200

console-common (0.7.4) unstable; urgency=medium

  * NMU
  * Use a workaround if console-data/keymap/policy does not exist in the
    debconf database. (Closes: #107700).
  * Accept 'Norvegian' as well since it might be stored in some people's
    debconf database (Closes: #107828).
  * Accept tab and space when testing for the Acorn RiscPC.
  * Fix the default value for console-data/keymap/policy.
  * Use PERL_BADLANG=0 in one more call of getkmapchoice.pl.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 10 Aug 2001 14:40:25 +0200

console-common (0.7.3) unstable; urgency=medium

  * NMU
  * On PowerPC with ADB keycodes, warn the users that they should quit X
    before continuing to configure their keyboards since it might break
    the X configuration (Closes: #107484).
  * Fix stupid typo which causes only some instead of all keymaps to be
    shown in the 'full' listing.  Spotted by Brendan O'Dea.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 02 Aug 2001 23:44:49 +0200

console-common (0.7.2) unstable; urgency=medium

  * NMU
  * Show a listing of all keymaps so people with adapters or USB keyboards
    can choose the right keyboard. (Closes: #74350, #85128).  Thanks to


=== debian/control ===
Source: console-common
Section: utils
Priority: important
Maintainer: Wartan Hachaturow <wart@softhome.net>
Uploaders: Martin Michlmayr <tbm@cyrius.com>
Build-Depends-Indep: debhelper (>> 2.0.0), docbook-to-man
Standards-Version: 3.2.1

Package: console-common
Architecture: all
Pre-Depends: debconf (>= 0.5)
Recommends: console-utilities, console-data
Conflicts: console-data (<< 1999.08.29-20)
Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
Description: Basic infrastructure for text console configuration
 This package contains the install-keymap(8) utility, which is the
 official way to specify a boot-time keymap to the system, as well
 as tools for internal use of keymap-providing packages.

Package: dh-consoledata
Section: devel
Priority: extra
Architecture: all
Depends: debhelper (>> 2)
Enhances: debhelper
Description: Debhelper-based script to help packaging console data file
 This package allows to build consistent packages of data-files for the
 Linux text console (keymaps for now, later fonts and others).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp

tmplfile=${debdir}/console-common.templates
configfile=${debdir}/console-common.config

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp ${tmplfile} ${configfile}
	dh_clean
	${MAKE} clean

build: build-stamp
build-stamp:
	dh_testdir
	${MAKE} all
	touch build-stamp

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	${MAKE} install DESTDIR=${tmpdir}
	dh_movefiles
 # for some reason empty trees cannot be moved so we must recreate them :(
	dh_installdirs etc/console usr/share/console/lists/keymaps

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install # ${configfile}
	dh_testdir
	dh_testroot

	DH_LCDDIR=${topdir} DH_AUTOSCRIPTDIR=${topdir} DH_OPTIONS= \
		./dh_consoledata -pconsole-common -d

	dh_installdebconf
	dh_installdocs TODO
#	dh_installexamples

	DH_OPTIONS= dh_installinit -pconsole-common --init-script=keymap.sh -r -u"start 05 S ."

#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_compress
	dh_fixperms

	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## console-common 0.7.47ubuntu4

=== debian/changelog ===
console-common (0.7.47ubuntu4) warty; urgency=low

  * Fix some references to console-common where it should be
    console-data. (Closes: #2196)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 11 Oct 2004 09:48:55 +0200

console-common (0.7.47ubuntu3) warty; urgency=low

  * Use 'pc' keymaps on amd64.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 19 Sep 2004 18:18:55 +0100

console-common (0.7.47ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:48:18 -0400

console-common (0.7.47ubuntu1) warty; urgency=low

  * debian/keymap.sh: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu,  2 Sep 2004 17:05:29 -0400

console-common (0.7.47) unstable; urgency=low

  * Translations:
    - Fix to de.po by  Michael Piefel. Closes: #257875, #260520.
    - Greek translation by George Papamichelakis. Closes: #259347.
    - Brazilian Portuguese unfuzzied by André Luís Lopes.
    - Fix fr.po by Christian Perrier
    - update all PO files according to install-keymaps.pot
    - Portugese program translation update pt.po
    - Danish program translation update da.po by Claus Hindsgaul
    - Initial Croatian hr.po by Kruno + Update
    - Update German program translation de.po by Dennis Stampfer
    - Arabic added by commiting translations from Arabeyes CVS
    - Spanish update to install-keymap.pot by Rudy Godoy.
      Closes: #260182.
    - Basque update thanks to Piarres Beobide Egaña. Closes: #260324.
    - Italian update thanks to Danilo Piazzalunga. Closes: #260407.
    - Swedish translation thanks to Per Olofsson. Closes: #261594.
  * Depend on up-to-date console-tools or kbd, so we get a vt-is-UTF8
    that doesn't hang. Closes: #261473.
  * Correct typo in TEXTDOMAIN name in install-keymap script.
    Closes: #260226.
  * On error in getkmapchoice.pl.in, don't die horribly; instead
    dump error into debconf's logs and return NONE, so that install-keymap
    can try to Do The Right Thing. Closes: #261500.
  * On selecting "install-keymap KERNEL", reap the conffile
    /etc/console/boottime.kmap.gz. Closes: #259500.
  * Remove any "Don\'t touch keymap" entries from debconf db, replace with
    "Don't touch keymap" so that they are parsed correctly. Closes: #254324.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Jul 2004 22:07:31 +0100

console-common (0.7.46) unstable; urgency=low

  * Translations:
    - Hebrew by Lion Kaplan.
    - Italian updated by Danilo Piazzalunga. Closes: #255730.
    - Catalan updated by Orestes Mas.
  * Fix typo in preinst. Closes: #255094, #248096.
  * Change encoding in de.po from latin-9 to UTF-8. Closes: #257875.
  * start/stop unicode_mode in keymap.sh for loadkeys benefit.
    Patch from  Recai Oktas. Closes: #258681.
  * Simplify install-keymap to aid translation. Closes: #243110.
  * getkmapchoice.pl.in:
     - Don't output warnings to stderr, it chokes install-keymap.
     - If a keymap family is missing, try 'Unknown' instead.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Jul 2004 22:23:44 +0100

console-common (0.7.45) unstable; urgency=low

  * kbdconfig  now does 'dpkg-reconfigure console-data'. Closes: #252033. 
  * Don't use 'previous_module' in debconf. Closes: #253470, #253548.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Jun 2004 21:18:59 +0100

console-common (0.7.44) unstable; urgency=low

  * Translations:
   - Polish updated by Tomasz Z. Napierala. Closes: #250874.
   - Korean updated by Changwoo Ryu. Closes: #252133.
  * Fix 'strict subs' warning in console-common.config. 
    Closes: #253252, #253305.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 9 June 2004 19:38:51 +0100

console-common (0.7.43) unstable; urgency=medium

  * Convert "Don\'t touch keymap" to "Don't touch keymap".
    Closes: #248096, #248991, #249656, #249998, #248813.
  * Make install-keymap use the install-keymap textdomain. Closes: #249283.
  * Translations:
    - Norwegian nynorsk by Håvard Korsvoll. Closes: #249680.
    - Norwegian Bokmål by Klaus Ade Johnstad. Closes: #250341.
    - Polish translations by Tomasz Z. Napierala. Closes: #249863.
    - Bosnian translations added by Safir Secerovic

 -- Christian Perrier <bubulle@debian.org>  Wed, 26 May 2004 22:56:32 -0300

console-common (0.7.42) unstable; urgency=low

  * Clean up sources, removing old RCS dir. 
  * Delete broken Speakup templates in preinst; 
    ignore errors in preinst caused by getkeymapchoice.pl.
    Closes: #242594, #244733, #244849.
  * Translations:
    - Basque by Piarres Beobide Egaña. Closes: #244675.
    - Catalan by  Orestes Mas. Closes: #244757.
    - Hungarian update by VEROK Istvan.
    - Slovak by Peter Mann
    - Russian by Nikolai Prokoschenko. Closes: #244998.
    - Italian by Danilo Piazzalunga. Closes: #245173.
    - Turkish by Recai Oktas. Closes: #245254.
    - Spanish by Rudy Godoy. Closes: #246291.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 May 2004 20:00:57 +0100

console-common (0.7.41) unstable; urgency=low

  * getkeymapchoice.pl: Don't choose mac family on powerppc/chrp. 
    Closes: #244184.
  * Change broken debconf entries in config, not preinst. 
    Closes: #242595, #238225.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Apr 2004 18:30:33 +0100

console-common (0.7.40) unstable; urgency=low

  * Translations: 
    - Dutch by Luk Claes.
    - Japanese by Kenshi Muto
    - Hebrew by Lior Kaplan
    - Ukranian by  Eugeniy Meshcheryakov.
    - Turkish by Recai Oktas. Closes: #243105.
    - Swedish by André Dahlqvist. Closes: #243935.
  * preinst: Remove old speakup keymap entries. Closes: #242594.
  * keymap.sh: Silence unnecessary loadkeys warnings.
  * preinst, install-keymap: Don't overwrite changes to boottime.kmap.gz
    with debconf. Closes: #238225.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Apr 2004 20:07:45 +0100

console-common (0.7.39) unstable; urgency=low



## console-common 0.7.48ubuntu2

=== debian/changelog ===
console-common (0.7.48ubuntu2) hoary; urgency=low

  * debian/keymap.sh: Don't generate errors when LANG/LC_ALL/LC_CTYPE is set
    more than once in /etc/environment (closes: Ubuntu #4810).

 -- Colin Watson <cjwatson@canonical.com>  Sun, 26 Dec 2004 13:15:28 +0000

console-common (0.7.48ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <mvo@debian.org>  Mon, 20 Dec 2004 10:06:18 +0100

console-common (0.7.48) unstable; urgency=low

  * Translations
    - Traditional Chinese programs translation added. Closes: #277877
    - Romanian programs translation added. Closes: #281365
    - Romanian debconf translation added. Closes: #281574
   * Colin Watson:
      - Use 'pc' keymaps on amd64. Closes: #281680.
  * getkmapchoice.pl: fix typo that breaks reconfigure on some archs
    Closes: #285921

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Dec 2004 20:49:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: console-common
 Section: utils
 Priority: important
-Maintainer: Wartan Hachaturow <wart@softhome.net>
-Uploaders: Martin Michlmayr <tbm@cyrius.com>
-Build-Depends-Indep: debhelper (>> 2.0.0), docbook-to-man
-Standards-Version: 3.2.1
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Uploaders: Martin Michlmayr <tbm@cyrius.com>,Wartan Hachaturow <wart@softhome.net>
+Build-Depends-Indep: debhelper (>> 4.0.0), docbook-to-man, po-debconf
+Standards-Version: 3.6.1
 
 Package: console-common
 Architecture: all
 Pre-Depends: debconf (>= 0.5)
-Recommends: console-utilities, console-data
+Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd, lsb-base (>= 1.3-9ubuntu3)
+Recommends: console-utilities
 Conflicts: console-data (<< 1999.08.29-20)
 Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
 Description: Basic infrastructure for text console configuration

## console-common 0.7.49

=== debian/changelog ===
console-common (0.7.49) unstable; urgency=low

  * debian/keymap.sh: Don't generate errors when LANG/LC_ALL/LC_CTYPE is set
    more than once in /etc/environment (closes: Ubuntu #4810).
    Closes: #275829.
  * dh_consoledata: do a 'tail -1' to getkmapchoices output to cope with
    LANG, LC_ALL, LC_CTYPE set during install.
    (Needed to close #263779, #282459 in console-data)
  * kbdconfig: reconfigures console-data not console-common, so correct the
    warning. Closes: #261623.
  * Fix lack of comma error in German translation (thanks Lintian). 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  6 Feb 2005 13:00:25 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: console-common
 Architecture: all
 Pre-Depends: debconf (>= 0.5)
-Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd, lsb-base (>= 1.3-9ubuntu3)
+Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd
 Recommends: console-utilities
 Conflicts: console-data (<< 1999.08.29-20)
 Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp ${tmplfile} ${configfile}
+	rm -f build-stamp ${tmplfile} ${configfile} debian/substvars
 	dh_clean
 	${MAKE} clean
 
@@ -40,10 +40,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	dh_installdirs -i
 	${MAKE} install DESTDIR=${tmpdir}
 	dh_movefiles
- # for some reason empty trees cannot be moved so we must recreate them :(
-	dh_installdirs etc/console usr/share/console/lists/keymaps
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -51,24 +50,23 @@
 binary-indep: build install # ${configfile}
 	dh_testdir
 	dh_testroot
-
 	DH_LCDDIR=${topdir} DH_AUTOSCRIPTDIR=${topdir} DH_OPTIONS= \
 		./dh_consoledata -pconsole-common -d
 
+	cp kbdconfig debian/console-common/usr/bin
+	dh_installman kbdconfig.8
 	dh_installdebconf
 	dh_installdocs TODO
-#	dh_installexamples
-
 	DH_OPTIONS= dh_installinit -pconsole-common --init-script=keymap.sh -r -u"start 05 S ."
-
-#	dh_undocumented
 	dh_installchangelogs 
-#	dh_link
 	dh_compress
 	dh_fixperms
 
 	dh_installdeb
+	chmod +x debian/dh-consoledata/usr/share/debhelper/dh-consoledata/config.in
 	dh_perl
+	# Don't config in console-common, only console-data
+	rm debian/console-common/DEBIAN/config
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## console-common 0.7.51ubuntu1

=== debian/changelog ===
console-common (0.7.51ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2005 10:57:45 +0100

console-common (0.7.51) unstable; urgency=low

  *  Use 'tail -n 1' rather than 'tail -1' in install-keymap. Closes: #296263. 
  * Debconf translations:
    - Added Galician by Jacobo Tarrio. Closes: #296424.
  * config.in: Do correct check on boot keymap hash; don't incorrectly
    assume its changed. Closes: #282693.
  * zh_CN.po: changed comma in template to one accepted by debconf code;
    silences warning from lintian.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Feb 2005 22:06:54 +0000

console-common (0.7.50) unstable; urgency=low

  * Remove Martin Michlmayer as uploader.
  * Translations:
    - Tagalog programs and debconf translation added. Closes: #295038
    - Improved zh_TW by Tetralet.
  * install-keymap: add '-q' to loadkeys call; its output was causing silent
    failures in debconf code. Closes: #272480. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Feb 2005 13:45:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: important
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Martin Michlmayr <tbm@cyrius.com>,Wartan Hachaturow <wart@softhome.net>
+Uploaders: Wartan Hachaturow <wart@softhome.net>
 Build-Depends-Indep: debhelper (>> 4.0.0), docbook-to-man, po-debconf
 Standards-Version: 3.6.1
 
 Package: console-common
 Architecture: all
 Pre-Depends: debconf (>= 0.5)
-Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd
+Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd, lsb-base (>= 1.3-9ubuntu3)
 Recommends: console-utilities
 Conflicts: console-data (<< 1999.08.29-20)
 Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)

## console-common 0.7.55

=== debian/changelog ===
console-common (0.7.55) unstable; urgency=low

  * Remove exits from /etc/init.d/keymap.sh so it can be sourced, as per
    policy. Closes: #340689.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Nov 2005 20:27:21 +0000

console-common (0.7.54) unstable; urgency=low

  * Depend on debconf | debconf-2.0. Closes: #331780.
  * Provide dependency information in LSB format in keymap.sh.
    Thanks to Petter Reinholdsen. Closes: #330231.
  * Change to new FSF address. 
  * Remove bashism from console-common.preinst

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  5 Oct 2005 20:16:11 +0100

console-common (0.7.53) unstable; urgency=low

  * Program Translations:
    - Arabic updated by Abdulaziz Al-Arfaj.
  * Patch from Ubuntu:
    - Fix some references to console-common where it should be console-data.
    - Use lsb-base to pretty keymap.sh init script, and add depends.
  * Move to DH_COMPAT=4
    - no longer need console-common.conffiles; debhelper does this
      automatically.
  * Add lintian overrides to silence irrelevant warning of 'not-a-registry'. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri,  5 Aug 2005 13:49:00 +0100

console-common (0.7.52) unstable; urgency=low

  * Debconf translations:
    - Updated Bosnian. Closes: #302756
    - Updated Basque. Closes: #306044
    - Added Vietnamese. Closes: #307009
  * Programs translations:
    - Updated Basque. Closes: #306044
    - Added Vietnamese. Closes: #307010
    - Added Galician, thanks to  Jacobo Tarrio. Closes: #318389.
  * Fixed duplicated dependencies. Closes: #309609.
  * Move to Standards-Version: 3.6.2. No changes required.
  * Rename kbdconfig to kbd-config to match other *-config utilities.
    Closes:  #306092.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 15 Jul 2005 14:07:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Wartan Hachaturow <wart@softhome.net>
 Build-Depends-Indep: debhelper (>> 4.0.0), docbook-to-man, po-debconf
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: console-common
 Architecture: all
-Pre-Depends: debconf (>= 0.5)
-Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd, lsb-base (>= 1.3-9ubuntu3)
-Recommends: console-utilities
+Pre-Depends: debconf | debconf-2.0
+Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd, lsb-base (>= 3.0)
 Conflicts: console-data (<< 1999.08.29-20)
 Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
 Description: Basic infrastructure for text console configuration

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+export DH_COMPAT=4
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -53,9 +53,10 @@
 	DH_LCDDIR=${topdir} DH_AUTOSCRIPTDIR=${topdir} DH_OPTIONS= \
 		./dh_consoledata -pconsole-common -d
 
-	cp kbdconfig debian/console-common/usr/bin
-	dh_installman kbdconfig.8
+	cp kbd-config debian/console-common/usr/bin
+	dh_installman kbd-config.8
 	dh_installdebconf
+	dh_install
 	dh_installdocs TODO
 	DH_OPTIONS= dh_installinit -pconsole-common --init-script=keymap.sh -r -u"start 05 S ."
 	dh_installchangelogs

## console-common 0.7.59ubuntu1

=== debian/changelog ===
console-common (0.7.59ubuntu1) edgy; urgency=low

  * debian/keymap.sh: Don't run if setupcon (from console-setup) is present.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 23:28:59 +0100

console-common (0.7.59) unstable; urgency=low

  [ Debconf translations ]
    - Thai added. Closes: #367469
    - Nepali added. Closes: #372866
    - Khmer added. Closes: #374924
    - Dzongkha added.

  [ Programs translations ]
    - Thai added. Closes: #367469
    - Khmer added. Closes: #374921

  [ Alastair McKinstry ]
  * Move to Standards-Version: 3.7.2 ; no changes required.
  * Depend on kbd | console-tools, instead of console-tools | kbd.
    Prefer kbd for etch, and to help remove circular dependency
    with console-tools.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  5 Jul 2006 08:07:12 +0100

console-common (0.7.58) unstable; urgency=low

  * Don't use == in keymap.sh: dash doesn't like it. Closes: #364704 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Apr 2006 09:41:50 +0100

console-common (0.7.57) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Hungarian updated. Closes: #364279

  [ Alastair McKinstry ]
  * Change Priority from important to optional, to match overrides.
  * keymap.sh: If /etc/default/locale exists, read it instead of 
    /etc/environment to detect if we should use UTF-8. Closes: #362429.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Apr 2006 21:13:53 +0100

console-common (0.7.56) unstable; urgency=low

  * Acknowledging NMU with thanks: Closes: #351987, #344635.
  * Correct LSB runtime info, thanks to Petter Reinholdsen. Closes: #361052.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  9 Apr 2006 21:08:18 +0100

console-common (0.7.55.1) unstable; urgency=low

  * Non-maintainer upload to get a few translations in
    or corrected
  * Programs translations:
    - Greek updated. Closes: #344635
    - Slovenian added. Closes: #351987
    - Arabic corrected (variable errors)
  * Debconf translations:
    - Greek updated. Closes: #344635
    - Slovenian added. Closes: #351987

 -- Christian Perrier <bubulle@debian.org>  Thu,  9 Feb 2006 08:13:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: console-common
 Section: utils
-Priority: important
+Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Wartan Hachaturow <wart@softhome.net>
 Build-Depends-Indep: debhelper (>> 4.0.0), docbook-to-man, po-debconf
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: console-common
 Architecture: all
 Pre-Depends: debconf | debconf-2.0
-Depends: debianutils (>= 1.13), console-data, console-tools (>=1:0.2.3dbs-54) | kbd, lsb-base (>= 3.0)
+Depends: debianutils (>= 1.13), console-data, kbd | console-tools (>=1:0.2.3dbs-54), lsb-base (>= 3.0)
 Conflicts: console-data (<< 1999.08.29-20)
 Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
 Description: Basic infrastructure for text console configuration

## console-common 0.7.68

=== debian/changelog ===
console-common (0.7.68) unstable; urgency=low

  [ Debconf translations ]
    - Bosnian updated. Closes: #396658

 -- Christian Perrier <bubulle@debian.org>  Fri,  3 Nov 2006 07:42:15 +0100

console-common (0.7.67) unstable; urgency=low

  [ Programs translations ]
    - Albanian updated. Closes: #394826

  [ Debconf translations ]
    - Albanian updated. Closes: #394828
    - Croatian updated. Closes: #395097
    - German updated. Closes: #394227
    - Italian updated.

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Oct 2006 20:01:43 +0200

console-common (0.7.66) unstable; urgency=medium

  [ Debconf translations ]
    - Norwegian Bokmål updated. Closes: #393529

  [ Alastair McKinstry ]
  * Fix unsightly scripting error in preinst. 
    Closes: #393300, #392717, #392777, #393479.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Oct 2006 21:23:29 +0100

console-common (0.7.65) unstable; urgency=low

  [ D ebconf translations ]
    - Danish updated.
    - Norwegian Bokmål updated. Closes: #393529

  [ Ch ristian Perrier ]
  * Quote $errors in preinst. Closes: #392717

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Oct 2006 08:58:37 +0200

console-common (0.7.64) unstable; urgency=low

  * Ensure preinst does not fail is /usr/local is read-only.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2006 16:10:05 +0000

console-common (0.7.63) unstable; urgency=high

  [ Debconf translations ]
    - Khmer updated. Closes: #374924
    - Greek updated.
    - Romanian updated. Closes: #391434
    - Turkish updated. Closes: #391603
    - Arabic updated (from Arabeyes CVS).

  [ Alastair McKinstry ]
  * Ensure postinst does not fail is /usr/local is read-only. Closes: #392508.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2006 15:54:39 +0000

console-common (0.7.62) unstable; urgency=low

  [ Debconf translations ]
    - Wolof added.
    - Khmer updated (#388195)
    - Swedish updated (#388195)
    - Galician updated (#388195)
    - Portuguese updated (#388195)
    - Catalan updated (#388195)
    - Slovak updated (#388195)
    - Dzongkha updated (#388195)
    - Thai updated (#388195)
    - Hungarian updated (#388195)
    - Finnish updated (#388195)
    - Japanese updated (#388195)
    - Korean updated (#388195)
    - Brazilian Portuguese updated (#388195)
    - Hebrew updated (#388195)
    - Dutch updated (#388195)
    - French updated (#388195)
    - Lituanian updated (#388195)
    - Russian updated (#388195)
    - Slovenian updated (#388195)
    - Spanish updated (#388195)
    - Polish updated (#388195)
    - Nepali updated
    - Czech updated
    - Vietnamese updated. Closes: #388554
    - Basque updated. Closes: #390324
    - Ukrainian updated.

  [ Ubuntu patches ]
  * debian/keymap.sh: Don't run if setupcon (from console-setup) is present.

  [ Christian Perrier ]
  * debian/keymap.sh: Refinement to LSB headers by Petter Reinholdtsen:
    only start in rcS, do not stop in 0 1 6
  * Add self to Uploaders
  * Refine test for /proc being mounted or not to handle cases where /proc/1
    does not exist. Thanks to Sam Hocevar for pointing this. Closes: #387786
  * Rewritten templates for Developer's Reference compliance. Closes: #388195
  * console-data/keymap/powerpcadb turned into a boolean template

  [ Alastair McKinstry ]
  * Remove typo from getkmapchoice.pl.in. Closes: #378950.

 -- Christian Perrier <bubulle@debian.org>  Sun,  1 Oct 2006 07:56:48 +0200

console-common (0.7.61) unstable; urgency=low

  [ Programs translations ]
    - Dzongkha added. Closes: #382963

  [ Christian Perrier ]
    - Patch from Petter Reinholdtsen to avoid dependency loop involving
      keymap.sh in init scripts. Removes the dependency on $syslog and replace
      Required-Start on mountvirtfs by mountdevsubfs. Closes: #386338

  [ Alastair McKinstry ]
  * Move to DH_COMPAT=5. No changes required.
  * Moved debhelper dependency from Build-Indep-Depends: to Build-Depends:

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  7 Sep 2006 11:53:15 +0100

console-common (0.7.60) unstable; urgency=low

  * Expanded LSB information in /etc/init.d/keymap.sh.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Jul 2006 13:35:38 +0100

## console-common 0.7.69

=== debian/changelog ===
console-common (0.7.69) unstable; urgency=low

  [ Debconf translations ]
    - Slovenian updated. Closes: #405580

 -- Christian Perrier <bubulle@debian.org>  Wed, 10 Jan 2007 20:23:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Wartan Hachaturow <wart@softhome.net>
-Build-Depends-Indep: debhelper (>> 4.0.0), docbook-to-man, po-debconf
+Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
+Build-Depends-Indep: docbook-to-man, po-debconf
+Build-Depends: debhelper (>= 5.0.0)
 Standards-Version: 3.7.2
 
 Package: console-common

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=4
+export DH_COMPAT=5
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS

## console-common 0.7.71

=== debian/changelog ===
console-common (0.7.71) unstable; urgency=low

  [ Debconf translations ]
  * Slovak updated. Closes: #446422
  * Arabic updated. Closes: #433294
  * Slovak updated. Closes: #433346

  [ Christian Perrier ]
  * Test for the presence of /proc in the init script to
    allow installing console-common on systems without /proc
    directory. Closes: #392798
  * Remove several old chunks of code dealing with pre-etch transitions
    from the preinst script. This also removes a
    read-in-maintainer-script lintian warning.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2007 12:40:30 +0200

console-common (0.7.70) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.
    Closes: #432649, #435123

  [ Debconf translations ]
  * Marathi added. Closes: #416808
  * Esperanto added. Closes: #421724
  * Japanese. Closes: #433205
  * Galician. Closes: #433219
  * French
  * Italian. Closes: #433562
  * Vietnamese. Closes: #433722
  * Basque. Closes: #433749
  * Czech. Closes: #433995
  * Russian. Closes: #434174
  * Traditional Chinese.
  * Spanish. Closes: #434675
  * Lithuanian. Closes: #434960
  * German. Closes: #435038
  * Portuguese. Closes: #435296
  * Nepali. Closes: #435351
  * Swedish. Closes: #435338
  * Thai. Closes: #433428

  [ Programs translations ]
  * Marathi added. Closes: #416808
  * Esperanto added. Closes: #421720

  [ Christian Perrier ]
  * Lintian fixes:
    - no longer set debhelper compatibility with DH_COMPAT but with
      debian/compat

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Aug 2007 18:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
 Depends: debianutils (>= 1.13), console-data, kbd | console-tools (>=1:0.2.3dbs-54), lsb-base (>= 3.0)
 Conflicts: console-data (<< 1999.08.29-20)
 Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
-Description: Basic infrastructure for text console configuration
+Description: basic infrastructure for text console configuration
  This package contains the install-keymap(8) utility, which is the
- official way to specify a boot-time keymap to the system, as well
+ recommended tool to specify a boot-time keymap to the system, as well
  as tools for internal use of keymap-providing packages.
 
 Package: dh-consoledata
@@ -24,6 +24,7 @@
 Architecture: all
 Depends: debhelper (>> 2)
 Enhances: debhelper
-Description: Debhelper-based script to help packaging console data file
- This package allows to build consistent packages of data-files for the
- Linux text console (keymaps for now, later fonts and others).
+Description: debhelper-based script to help packaging console data files
+ This package assists in building consistent packages of data-files
+ for the Linux text console.
+

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS

## console-common 0.7.77

=== debian/changelog ===
console-common (0.7.77) unstable; urgency=low

  * /etc/init.d/keymap.sh: avoid messing up with splasy
    Thanks to John Hughes and Marc Haber. Closes: #473129
  * Debconf translations:
    - Bulgarian. Closes: #478430
    - Catalan (sent directly by orestes Mas)
    - Albanian (sent directly by Elian Myftiu)
    - Polish (sent directly by Wiktor Wandachowicz)
    - Turkish. Closes: #480474
    - Brazilian Portuguese.

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Apr 2008 09:16:42 +0200

console-common (0.7.76) unstable; urgency=low

  * install-keymap: drop hardcoded path to utilities. Thanks to
    Michael Schutte for the patch
    Closes: #475688

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Apr 2008 15:43:58 +0200

console-common (0.7.75) unstable; urgency=low

  [ Debconf translations ]
  * Finnish. Closes: #475450
  * Marathi

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Mar 2008 18:10:25 +0100

console-common (0.7.74) unstable; urgency=low

  [ Debconf translations ]
  * Simplified Chinese. Closes: #462896
  * Arabic. Closes: #467089
  * Norwegian Bokmål. Closes: #467349
  * Slovenian
  * Romanian. Closes: #468953

  [ Christian Perrier ]
  * Fix keymap.sh to better set CHARMAP. Thanks to Uwe Kleine-König
    for the patch. Closes: #283788

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Mar 2008 17:39:42 +0100

console-common (0.7.73) unstable; urgency=low

  * Revert the use of a flag file to avoid displaying the keymap 
    policy question when run from D-I. This will be done by
    preseeding the debconf database. Closes: #457023

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Dec 2007 17:00:58 +0100

console-common (0.7.72) unstable; urgency=medium

  [ Debconf translations ]
  * Dutch. Closes: #447283,  #449021
  * Korean. Closes: #447837

  [ Christian Perrier ]
  * Updated Standards to 3.7.3 (checked)
  * Urgency bumped to medium for D-I purposes
  * Don't display the keymap policy question when console-data is installed
    from debian-installer as that takes care of setting up the correct keymap
    itself. Thanks to Frans Pop for the patch. Closes: #452331.

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Dec 2007 23:39:48 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: docbook-to-man, po-debconf
 Build-Depends: debhelper (>= 5.0.0)
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: console-common
 Architecture: all

## console-common 0.7.80

=== debian/changelog ===
console-common (0.7.80) unstable; urgency=low

  * Debconf translations:
    - Greek. Closes: #499003
    - Khmer.
    - Ukrainian.
    - Wolof.
    - Gujarati. Closes: #500203

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Sep 2008 20:29:55 +0200

console-common (0.7.79) unstable; urgency=low

  * Update Standards to 3.8.0
  * Debconf translations:
    - Slovak. Closes: #484557
    - Hebrew. Closes: #481573
    - Hungarian. Closes: #480787
    - Indonesian. Closes: #480833
    - Programs translations:
    - Slovak.

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Jun 2008 19:43:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: docbook-to-man, po-debconf
 Build-Depends: debhelper (>= 5.0.0)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 
 Package: console-common
 Architecture: all

## console-common 0.7.80ubuntu2

=== debian/changelog ===
console-common (0.7.80ubuntu2) jaunty; urgency=low

  * Resynchronise debian/keymap.sh with console-screen.sh from
    console-tools, fixing dubious grepping of /etc/environment and
    /etc/default/locale (LP: #18448).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Nov 2008 13:55:32 +0000

console-common (0.7.80ubuntu1) jaunty; urgency=low

  * Remove empty debian/po/el.po to make pkgstriptranslations happy. 

 -- Michael Bienia <geser@ubuntu.com>  Mon, 10 Nov 2008 18:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: console-common
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: docbook-to-man, po-debconf
 Build-Depends: debhelper (>= 5.0.0)

## console-common 0.7.82

=== debian/changelog ===
console-common (0.7.82) unstable; urgency=low

  * Restore Greek debconf translation from #499003
  * /usr/share/debhelper/dh-consoledata/common.pl:
    Turn the obsolete call to "dpkg --print-installation-architecture"
    into "dpkg --print-architecture". Closes: #537201
  * Update Standards to 3.8.2 (checked, no change)

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Jul 2009 20:17:13 +0200

console-common (0.7.81) unstable; urgency=low

  * Resynchronise debian/keymap.sh with console-screen.sh from
    console-tools, fixing dubious grepping of /etc/environment and
    /etc/default/locale. Closes: #506317
    Thanks to careful Ubuntu maintainers and special thanks to Colin Watson.
  * No longer hardcode install-keymap path (thanks, lintian)
  * Update Standards to 3.8.1 (checked, no change, particularl, 
    keymap.sh is not meant to be sourced)
  * Lintian fix: add ${misc:Depends} to binary packages dependencies as they
    use debhelper
  * Debconf translations:
    - Esperanto. Closes: #512409
    - Asturian added. Closes: #518978
    - Bengali added.
  * Programs translations:
    - Bulgarian added. Closes: #513207
    - Bengali added.

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 May 2009 08:26:58 +0200

=== debian/control ===
Source: console-common
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: docbook-to-man, po-debconf
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.8.2

Package: console-common
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}, debianutils (>= 1.13), console-data, kbd | console-tools (>=1:0.2.3dbs-54), lsb-base (>= 3.0)
Conflicts: console-data (<< 1999.08.29-20)
Replaces: console-tools (<< 1:0.2.3-18), kbd (<< 0.99-12), console-data (<< 1999.08.29-18)
Description: basic infrastructure for text console configuration
 This package contains the install-keymap(8) utility, which is the
 recommended tool to specify a boot-time keymap to the system, as well
 as tools for internal use of keymap-providing packages.

Package: dh-consoledata
Section: devel
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debhelper (>> 2)
Enhances: debhelper
Description: debhelper-based script to help packaging console data files
 This package assists in building consistent packages of data-files
 for the Linux text console.

## console-common 0.7.85

=== debian/changelog ===
console-common (0.7.85) unstable; urgency=low

  * Update Standards-Version to 3.8.3 (checked)
  * Switch to 3.0 (native) source format

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Nov 2009 19:35:27 +0100

console-common (0.7.84) unstable; urgency=low

  * Use "dpkg --print-architecture" instead of obsolete
    "--print-installation-architecture" in install-keymap
    Thanks to Thomas Viehweger for the bug report and patch
    Closes: #552318

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Oct 2009 20:42:09 +0100

console-common (0.7.83) unstable; urgency=low

  * Use X-Interactive in LSB headers. Closes: #538436

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Jul 2009 18:44:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Wartan Hachaturow <wart@softhome.net>, Christian Perrier <bubulle@debian.org>
 Build-Depends-Indep: docbook-to-man, po-debconf
 Build-Depends: debhelper (>= 5.0.0)
-Standards-Version: 3.8.2
+Standards-Version: 3.8.3
 
 Package: console-common
 Architecture: all
